> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Fetch a list of all webhook endpoints associated with your merchant account.

Fetch a list of all webhook endpoints associated with your merchant account.

### Body Parameters

<ParamField body="active" type="boolean">
  (Optional) Filter webhooks by status (`true` for active, `false` for inactive).
</ParamField>

### Response

<ResponseField name="status" type="boolean">
  Indicates if the request was successful.
</ResponseField>

<ResponseField name="data" type="array">
  List of webhook endpoints.
</ResponseField>

### Sample Request

```bash theme={null}
curl --location 'https://api.paytring.com/api/v2/webhook/list' \
--user '<API_KEY>:<API_SECRET>' \
--header 'Content-Type: application/json' \
--data '{
    "active": true
}'
```

### Sample Response

```json theme={null}
{
    "status": true,
    "data": [
        {
            "id": "wh_12345",
            "url": "https://your-domain.com/webhook",
            "topics": ["order.paid", "order.failed"],
            "status": "active",
            "created_at": "2024-01-22T01:29:50Z"
        }
    ]
}
```


## OpenAPI

````yaml POST /api/v2/webhook/list
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/webhook/list:
    post:
      tags:
        - Webhook V2
      summary: List Webhooks
      description: >-
        Fetch a list of all webhook endpoints associated with your merchant
        account.
      operationId: list-webhooks
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                active:
                  type: boolean
                  description: >-
                    Filter webhooks by status (true for active, false for
                    inactive).
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        url:
                          type: string
                        topics:
                          type: array
                          items:
                            type: string
                        status:
                          type: string
                        created_at:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````